//= require jscookie

$(function() {
    var cookieName = "tab_" + window.location.pathname;
    var cookieTab = Cookies.get(cookieName);
    var remoteShow = true;

    if (typeof cookieTab !== 'undefined' && cookieTab.length > 0) {

        // Switching tabs on ajax load & switch tab on page load & unbinding listener
        if ( remoteShow ){

          remoteShow = false;

          $(document).ajaxComplete(function(event, request, settings) {
              $(".tabs_container input[value='" + cookieTab + "']").prop("checked", true);
              $(event.currentTarget).unbind('ajaxComplete');
          });

        }


        $(".tabs_container input[value='" + cookieTab + "']").prop("checked", true);

    }

    // Setting on load
    if ($('.tabs_container:first-of-type > .tab_controller')[0] != $('.tabs_container:first-of-type > .tab_controller:checked').get()[0]) {

        Cookies.set(cookieName, $('.tabs_container:first-of-type > .tab_controller:checked').attr('value'), {
            expires: 0.01
        });

    }

    // Delegated event listener for tab heads for when ajax loading
    $("body").on("click", ".tabs_container:first > .tab_heads_container > label", function() {

        Cookies.set(cookieName, $(this).attr('class'), {
            expires: 0.01
        });

    });

})
